Bug 1288508 - Python PMAPI and namespaces methods
Python PMAPI and namespaces methods
Product: Fedora
Classification: Fedora
Component: pcp (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nathan Scott
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2015-12-04 07:58 EST by Marko Myllynen
Modified: 2016-12-20 11:37 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-12-20 11:37:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Marko Myllynen 2015-12-04 07:58:19 EST
Description of problem:
Alternate namespaces are usually not needed as is well explained in http://oss.sgi.com/pipermail/pcp/2015-November/008783.html. However, Python PMAPI currently implements pmLoadNameSpace() but not pmLoadASCIINameSpace() or pmTrimNameSpace() (which is also needed in some corner cases, see http://oss.sgi.com/pipermail/pcp/2015-December/008844.html) so the current situation is inconsistent.

Let's use this BZ to either to implement the missing methods (merely for the sake of completeness) or, if preferred, to documented the lack of them and perhaps mark the currently available pmLoadNameSpace() as deprecated in the Python PMAPI.

Comment 1 Fedora End Of Life 2016-11-24 08:58:04 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2016-12-20 11:37:32 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.